Subject: [PATCH v2 0/4] can: c_can: Add suspend/resume and pinctrl support

From: [email-masked] (Tony Lindgren)
Date: Wed, 5 Sep 2012 16:26:10 -0700

* Marc Kleine-Budde <[email-masked]> [120905 06:55]:
> On 09/05/2012 01:54 PM, Marc Kleine-Budde wrote:
> > On 09/05/2012 01:12 PM, AnilKumar Ch wrote:
> >> Adds suspend/resume functionality of d_can driver along with d_can
> >> raminit support which is required to initialize RAM while data
> >> transmission.
> >>
> >> This patch series also adds pinctrl support to c_can driver. These
> >> patches were tested on AM335x-EVM.
> >>
> >> This patch-series is based ontop of runtimePM patch submitted
> >> earlier - https://patchwork.kernel.org/patch/1348081/
> > 
> > Looks good, I'll apply the series after Tony acks the patch 3
> > ([PATCH RESEND 3/4] ARM: AM33XX: board-generic: Add of_dev_auxdata to
> > pass d_can raminit).
> 
> I've pushed all patches to can-next/master [1]. When Tony gives his Ack,
> I'll send David a pull request (of a tree including that Ack).

To me it looks like we can avoid the platform callbacks and the ram
init changes to the driver by implementing right runtime PM calls
for omap/am33xx. So NAK on few patches, and ACK on one :)

Regards,

Tony

> [1] https://gitorious.org/linux-can/linux-can-next